search contracts
curl --request POST \
--url https://api.example.com/api/v1/action/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [
{
"field": "timestamp"
}
],
"trackTotal": false
}
EOF{
"data": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"walletId": 123,
"contractId": 123,
"name": "<string>",
"funcSignature": "<string>",
"params": [
{
"name": "<string>",
"value": "<string>"
}
],
"funcAbi": {},
"gasPrice": "market",
"gasLimit": 10000000,
"gasTip": "\"\"",
"description": "<string>",
"destinations": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantDestination": {
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"uid": "Telegram: /start {uid}",
"tags": [],
"value": "<string>",
"telegramBotUsername": "<string>",
"telegramUserId": "<string>",
"telegramUsername": "<string>",
"telegramChatId": "<string>",
"telegramChatTitle": "<string>",
"telegramChatType": "<string>",
"slackUri": "<string>",
"slackChannelId": "<string>",
"slackChannelName": "<string>",
"uri": "<string>",
"method": "<string>",
"headers": {}
}
}
],
"detectors": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"scriptFilter": "e.severity>=0.5",
"scriptParams": {
"_to": "e.getTxHash()",
"_value": "a.getTimestamp()"
},
"detectorId": 123
}
],
"triggerAlerts": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"scriptFilter": "e.severity>=0.5",
"scriptParams": {
"_to": "e.getTxHash()",
"_value": "a.getTimestamp()"
},
"triggerAlertId": 123
}
]
}
],
"total": 123
}Action Route
search contracts
Search by params from response dto
POST
/
api
/
v1
/
action
/
search
search contracts
curl --request POST \
--url https://api.example.com/api/v1/action/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [
{
"field": "timestamp"
}
],
"trackTotal": false
}
EOF{
"data": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"walletId": 123,
"contractId": 123,
"name": "<string>",
"funcSignature": "<string>",
"params": [
{
"name": "<string>",
"value": "<string>"
}
],
"funcAbi": {},
"gasPrice": "market",
"gasLimit": 10000000,
"gasTip": "\"\"",
"description": "<string>",
"destinations": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantDestination": {
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"uid": "Telegram: /start {uid}",
"tags": [],
"value": "<string>",
"telegramBotUsername": "<string>",
"telegramUserId": "<string>",
"telegramUsername": "<string>",
"telegramChatId": "<string>",
"telegramChatTitle": "<string>",
"telegramChatType": "<string>",
"slackUri": "<string>",
"slackChannelId": "<string>",
"slackChannelName": "<string>",
"uri": "<string>",
"method": "<string>",
"headers": {}
}
}
],
"detectors": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"scriptFilter": "e.severity>=0.5",
"scriptParams": {
"_to": "e.getTxHash()",
"_value": "a.getTimestamp()"
},
"detectorId": 123
}
],
"triggerAlerts": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"scriptFilter": "e.severity>=0.5",
"scriptParams": {
"_to": "e.getTxHash()",
"_value": "a.getTimestamp()"
},
"triggerAlertId": 123
}
]
}
],
"total": 123
}Authorizations
Authentication
Body
application/json
Starting document offset
Required range:
x >= 0Example:
0
The number of hits to return
Required range:
0 <= x <= 10000Example:
10
Query string to search for data. Represent SQL 'where'
Example:
"field1='value' and field2<>'value2'"
Sorting for the search
Minimum array length:
1Show child attributes
Show child attributes
Return total results field if true
⌘I